<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sysnew.plugArg.dao.impl.SysPlugArgDaoImpl">

    <resultMap id="get-SysPlugArgEntity-result" type="com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity" >
       <result property="id" column="id" jdbcType="VARCHAR"/>
           <result property="plugId" column="plug_id" jdbcType="VARCHAR"/>
           <result property="plugCode" column="plug_code" jdbcType="VARCHAR"/>
           <result property="plugName" column="plug_name" jdbcType="VARCHAR"/>
           <result property="remark" column="remark" jdbcType="VARCHAR"/>
           <result property="sorts" column="sorts" jdbcType="INTEGER"/>
           <result property="create_user_id" column="create_user_id" jdbcType="VARCHAR"/>
           <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
           <result property="modify_user_id" column="modify_user_id" jdbcType="VARCHAR"/>
           <result property="modify_time" column="modify_time" jdbcType="TIMESTAMP"/>
           <result property="sts" column="sts" jdbcType="VARCHAR"/>
           <result property="org_id" column="org_id" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "SysPlugArgEntity_Base_Column_List">
        id
       ,plug_id 
        ,plug_code 
        ,plug_name 
        ,remark 
        ,sorts 
        ,create_user_id 
        ,create_time 
        ,modify_user_id 
        ,modify_time 
        ,sts 
        ,org_id 
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-SysPlugArgEntity-result" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity">
    select
    <include refid="SysPlugArgEntity_Base_Column_List" />
    from sys_plug_arg
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="plugId != null and plugId != ''"> and plug_id = #{plugId} </if>
            <if test="plugCode != null and plugCode != ''"> and plug_code = #{plugCode} </if>
            <if test="plugName != null and plugName != ''"> and plug_name = #{plugName} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    
<!-- 查询符合条件的数量 -->
<select id="entity_count" resultType="Integer" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity">
        select  count(1)   from sys_plug_arg
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="plugId != null and plugId != ''"> and plug_id = #{plugId} </if>
            <if test="plugCode != null and plugCode != ''"> and plug_code = #{plugCode} </if>
            <if test="plugName != null and plugName != ''"> and plug_name = #{plugName} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id = #{create_user_id} </if>
            <if test="create_time != null"> and create_time = #{create_time} </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id = #{modify_user_id} </if>
            <if test="modify_time != null"> and modify_time = #{modify_time} </if>
            <if test="sts != null and sts != ''"> and sts = #{sts} </if>
            <if test="org_id != null and org_id != ''"> and org_id = #{org_id} </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
    </select>

    <!-- 分页查询列表 采用like格式 -->
<select id="entity_list_like" resultMap="get-SysPlugArgEntity-result" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity">
    select
    <include refid="SysPlugArgEntity_Base_Column_List" />
    from sys_plug_arg
    <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id like concat('%',#{id},'%') </if>
            <if test="plugId != null and plugId != ''"> and plug_id like concat('%',#{plugId},'%') </if>
            <if test="plugCode != null and plugCode != ''"> and plug_code like concat('%',#{plugCode},'%') </if>
            <if test="plugName != null and plugName != ''"> and plug_name like concat('%',#{plugName},'%') </if>
            <if test="remark != null and remark != ''"> and remark like concat('%',#{remark},'%') </if>
            <if test="sorts != null"> and sorts like concat('%',#{sorts},'%') </if>
            <if test="create_user_id != null and create_user_id != ''"> and create_user_id like concat('%',#{create_user_id},'%') </if>
            <if test="create_time != null"> and create_time like concat('%',#{create_time},'%') </if>
            <if test="modify_user_id != null and modify_user_id != ''"> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
            <if test="modify_time != null"> and modify_time like concat('%',#{modify_time},'%') </if>
            <if test="sts != null and sts != ''"> and sts like concat('%',#{sts},'%') </if>
            <if test="org_id != null and org_id != ''"> and org_id like concat('%',#{org_id},'%') </if>
            and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>
    <!--通过ID获取数据 -->
    <select id="entity_get" resultMap="get-SysPlugArgEntity-result">
        select
        <include refid="SysPlugArgEntity_Base_Column_List" />
        from sys_plug_arg where id = #{ id } and sts='Y'
    </select>
<!-- 查询列表 字段采用or格式 -->
<select id="SysPlugArgentity_list_or" resultMap="get-SysPlugArgEntity-result" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity">
    select
    <include refid="SysPlugArgEntity_Base_Column_List" />
    from sys_plug_arg
    <trim prefix="where" prefixOverrides="and"> 
         <if test="id != null and id != ''"> or id = #{id} </if>
             <if test="plugId != null and plugId != ''"> or plug_id = #{plugId} </if>
             <if test="plugCode != null and plugCode != ''"> or plug_code = #{plugCode} </if>
             <if test="plugName != null and plugName != ''"> or plug_name = #{plugName} </if>
             <if test="remark != null and remark != ''"> or remark = #{remark} </if>
             <if test="sorts != null"> or sorts = #{sorts} </if>
             <if test="create_user_id != null and create_user_id != ''"> or create_user_id = #{create_user_id} </if>
              <if test="create_time != null"> or create_time = #{create_time} </if>
              <if test="modify_user_id != null and modify_user_id != ''"> or modify_user_id = #{modify_user_id} </if>
              <if test="modify_time != null"> or modify_time = #{modify_time} </if>
              <if test="sts != null and sts != ''"> or sts = #{sts} </if>
             <if test="org_id != null and org_id != ''"> or org_id = #{org_id} </if>
             and sts='Y'
    </trim>
    <if test=" sort == null or sort == ''.toString()  "> order by sorts asc</if>
    <if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
</select>

<!--新增所有列-->
<insert id="entity_insert" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity" keyProperty="">
    insert into sys_plug_arg(
  <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> id , </if>
            <if test="plugId != null and plugId != ''"> plug_id , </if>
            <if test="plugCode != null and plugCode != ''"> plug_code , </if>
            <if test="plugName != null and plugName != ''"> plug_name , </if>
            <if test="remark != null and remark != ''"> remark , </if>
            <if test="sorts != null"> sorts , </if>
            <if test="create_user_id != null and create_user_id != ''"> create_user_id , </if>
            <if test="create_time != null"> create_time , </if>
            <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id , </if>
            <if test="modify_time != null"> modify_time , </if>
            <if test="sts != null and sts != ''"> sts , </if>
            <if test="org_id != null and org_id != ''"> org_id , </if>
    <if test="sts == null ">sts,</if>
  </trim>
  )values(
 <trim suffix="" suffixOverrides=",">
       <if test="id != null and id != ''"> #{id} ,</if>
            <if test="plugId != null and plugId != ''"> #{plugId} ,</if>
            <if test="plugCode != null and plugCode != ''"> #{plugCode} ,</if>
            <if test="plugName != null and plugName != ''"> #{plugName} ,</if>
            <if test="remark != null and remark != ''"> #{remark} ,</if>
            <if test="sorts != null"> #{sorts} ,</if>
            <if test="create_user_id != null and create_user_id != ''"> #{create_user_id} ,</if>
            <if test="create_time != null"> #{create_time} ,</if>
            <if test="modify_user_id != null and modify_user_id != ''"> #{modify_user_id} ,</if>
            <if test="modify_time != null"> #{modify_time} ,</if>
            <if test="sts != null and sts != ''"> #{sts} ,</if>
            <if test="org_id != null and org_id != ''"> #{org_id} ,</if>
    <if test="sts == null ">'Y',</if>
  </trim>
  )  
</insert>
<!-- 批量新增 -->
<insert id="entityInsertBatch" keyProperty="">
  insert into sys_plug_arg(id, plug_id, plug_code, plug_name, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id,  sts) 
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.id},#{entity.plugId},#{entity.plugCode},#{entity.plugName},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id}, 'Y')
    </foreach>
</insert>
<!-- 批量新增或者修改-->
<insert id="entityInsertOrUpdateBatch" keyProperty="">
    insert into sys_plug_arg(id, plug_id, plug_code, plug_name, remark, sorts, create_user_id, create_time, modify_user_id, modify_time, sts, org_id)
    values
    <foreach collection="entities" item="entity" separator=",">
    (#{entity.id},#{entity.plugId},#{entity.plugCode},#{entity.plugName},#{entity.remark},#{entity.sorts},#{entity.create_user_id},#{entity.create_time},#{entity.modify_user_id},#{entity.modify_time},#{entity.sts},#{entity.org_id})
    </foreach>
    on duplicate key update
    id = values(id),
    plug_id = values(plug_id),
    plug_code = values(plug_code),
    plug_name = values(plug_name),
    remark = values(remark),
    sorts = values(sorts),
    create_user_id = values(create_user_id),
    create_time = values(create_time),
    modify_user_id = values(modify_user_id),
    modify_time = values(modify_time),
    sts = values(sts),
    org_id = values(org_id)</insert>
<!--通过主键修改方法-->
<update id="entity_update" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity" >
update sys_plug_arg  set
<trim suffix="" suffixOverrides=",">
  <if test="id != null and id != ''"> id = #{id},</if>
  <if test="plugId != null and plugId != ''"> plug_id = #{plugId},</if>
  <if test="plugCode != null and plugCode != ''"> plug_code = #{plugCode},</if>
  <if test="plugName != null and plugName != ''"> plug_name = #{plugName},</if>
  <if test="remark != null and remark != ''"> remark = #{remark},</if>
  <if test="sorts != null"> sorts = #{sorts},</if>
  <if test="create_user_id != null and create_user_id != ''"> create_user_id = #{create_user_id},</if>
    <if test="create_time != null"> create_time = #{create_time},</if>
    <if test="modify_user_id != null and modify_user_id != ''"> modify_user_id = #{modify_user_id},</if>
    <if test="modify_time != null"> modify_time = #{modify_time},</if>
    <if test="sts != null and sts != ''"> sts = #{sts},</if>
  <if test="org_id != null and org_id != ''"> org_id = #{org_id},</if>
  </trim>
where id = #{id}
</update>
<!-- 逻辑删除 -->
<update id="entity_logicDelete" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity" >
update sys_plug_arg  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
where id = #{id}
</update>

<!-- 多条件逻辑删除 -->
<update id="entity_logicDelete_Multi_Condition" parameterType = "com.hzya.frame.sysnew.plugArg.entity.SysPlugArgEntity" >
update sys_plug_arg  set sts= 'N' ,modify_time = #{modify_time},modify_user_id = #{modify_user_id}
 <trim prefix="where" prefixOverrides="and"> 
        <if test="id != null and id != ''"> and id = #{id} </if>
            <if test="plugId != null and plugId != ''"> and plug_id = #{plugId} </if>
            <if test="plugCode != null and plugCode != ''"> and plug_code = #{plugCode} </if>
            <if test="plugName != null and plugName != ''"> and plug_name = #{plugName} </if>
            <if test="remark != null and remark != ''"> and remark = #{remark} </if>
            <if test="sorts != null"> and sorts = #{sorts} </if>
                                                                <if test="sts != null and sts != ''"> and sts = #{sts} </if>
                         and sts='Y'
    </trim>
</update>
<!--通过主键删除-->
<delete id="entity_delete">
    delete from sys_plug_arg where id = #{id}
</delete>

</mapper>

